Open SCAP Library

Files | Data Structures | Macros | Typedefs | Functions
Engine Plugin
XCCDF_POLICY

## Files
file | check_engine_plugin.h

## Data Structures
struct | check_engine_plugin_def

## Macros
#define | OPENSCAP_CHECK_ENGINE_PLUGIN_ENTRY OPENSCAP_CHECK_ENGINE_PLUGIN_ENTRY

## Typedefs
typedef int(* | check_engine_plugin_entry_fn) (struct check_engine_plugin_def *)
| This is the entry point of shared objects implementing extra check engines.

## Functions
struct check_engine_plugin_def * | check_engine_plugin_load2 (const char *path, bool quiet)
struct check_engine_plugin_def * | check_engine_plugin_load (const char *path)
void | check_engine_plugin_unload (struct check_engine_plugin_def *plugin)
int | check_engine_plugin_register (struct check_engine_plugin_def *plugin, struct xccdf_policy_model *model, const char *path_hint)
int | check_engine_plugin_cleanup (struct check_engine_plugin_def *plugin, struct xccdf_policy_model *model)
int | check_engine_plugin_export_results (struct check_engine_plugin_def *plugin, struct xccdf_policy_model *model, bool validate, const char *path_hint)
const char * | check_engine_plugin_get_capabilities (struct check_engine_plugin_def *plugin)
const char *const * | check_engine_plugin_get_known_plugins (void)
| Retrieves list of plugin names that are known to OpenSCAP. More...

## Detailed Description

## Function Documentation

## ◆ check_engine_plugin_get_known_plugins()

const char* const* check_engine_plugin_get_known_plugins | ( | void |  | ) |

Retrieves list of plugin names that are known to OpenSCAP.

Loading of these will be attempted automatically